<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>behaviourlayer/bl.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">behaviourlayer/bl.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2001 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment">  </span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment">  </span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment">  </span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_BL_BL__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_BL_BL__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="keyword">struct </span><a class="code" href="structiCelBehaviour.html" title="This is an entity in the CEL layer at the BL (behaviour layer) side.">iCelBehaviour</a>;
<a name="l00027"></a>00027 <span class="keyword">struct </span><a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>;
<a name="l00028"></a>00028 
<a name="l00032"></a><a class="code" href="structiCelBlLayer.html">00032</a> <span class="keyword">struct </span><a class="code" href="structiCelBlLayer.html" title="This is the Behaviour Layer itself.">iCelBlLayer</a> : <span class="keyword">virtual</span> <span class="keyword">public</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00033"></a>00033 {
<a name="l00034"></a>00034   SCF_INTERFACE (<a class="code" href="structiCelBlLayer.html" title="This is the Behaviour Layer itself.">iCelBlLayer</a>, 0, 0, 1);
<a name="l00035"></a>00035 
<a name="l00039"></a>00039   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiCelBlLayer.html#ac342d71f05694a59f2b4cacd9dbdf2bf" title="The name of this behaviour layer.">GetName</a> () <span class="keyword">const</span> = 0;
<a name="l00040"></a>00040 
<a name="l00047"></a>00047   <span class="keyword">virtual</span> <a class="code" href="structiCelBehaviour.html" title="This is an entity in the CEL layer at the BL (behaviour layer) side.">iCelBehaviour</a>* <a class="code" href="structiCelBlLayer.html#a389051ac8b271f2af55861b394cc7832" title="Create a new behaviour layer entity.">CreateBehaviour</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity,
<a name="l00048"></a>00048         <span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00049"></a>00049 };
<a name="l00050"></a>00050 
<a name="l00051"></a>00051 <span class="preprocessor">#endif // __CEL_BL_BL__</span>
<a name="l00052"></a>00052 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
